extends Control


var blackfade = preload("res://UI/BlackFade.tscn")


func _on_Exit_pressed():
	get_tree().quit()


func _on_Start_pressed():
	var newfade = blackfade.instance()
	add_child(newfade)
	yield(get_tree().create_timer(1.1), "timeout")
	get_tree().change_scene("res://UI/Intro.tscn")


func _on_Subtitles_toggled(button_pressed):
	settings.subtitles = button_pressed
	print("Subtitles have been set to "+str(settings.subtitles))


func _on_Continue_pressed():
	get_tree().change_scene("res://Maps/TestMap2.tscn")


func _on_Map2_pressed():
	get_tree().change_scene("res://Maps/TestMap3.tscn")
